# Method: accounts.list

- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.ListAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/list#body.aspect)

> [!WARNING]
> Deprecated. Please use the [Account Management API](https://developers.google.com/my-business/reference/accountmanagement/rest/v1/accounts/list) instead.

Lists all of the accounts for the authenticated user. This includes all accounts that the user owns, as well as any accounts for which the user has management rights.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/accounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many accounts to fetch per page. Default is 20, minimum is 2, and maximum page size is 20. |
| `pageToken` | `string` If specified, the next page of accounts is retrieved. The `pageToken` is returned when a call to `accounts.list` returns more results than can fit into the requested page size. |
| `name` | `string` The resource name of the account for which the list of directly accessible accounts is to be retrieved. This only makes sense for Organizations and User Groups. If empty, will return `accounts.list` for the authenticated user. |
| `filter` | `string` A filter constraining the accounts to return. The response includes only entries that match the filter. If `filter` is empty, then no constraints are applied and all accounts (paginated) are retrieved for the requested account. For example, a request with the filter `type=USER_GROUP` will only return user groups. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for Accounts.ListAccounts.

| JSON representation ||
|---|---|
| ``` { "accounts": [ { object (`https://developers.google.com/my-business/reference/rest/v4/accounts#Account`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/accounts#Account`)`` A collection of accounts to which the user has access. The personal account of the user doing the query will always be the first item of the result, unless it is filtered out. |
| `nextPageToken` | `string` If the number of accounts exceeds the requested page size, this field is populated with a token to fetch the next page of accounts on a subsequent call to `accounts.list`. If there are no more accounts, this field is not present in the response. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).